Exetools  

Go Back   Exetools > General > General Discussion

Notices

Reply
 
Thread Tools Display Modes
  #1  
Old 10-04-2021, 09:55
SMH17 SMH17 is offline
Friend
 
Join Date: Jul 2016
Location: Elysium
Posts: 28
Rept. Given: 0
Rept. Rcvd 0 Times in 0 Posts
Thanks Given: 10
Thanks Rcvd at 8 Times in 8 Posts
SMH17 Reputation: 0
Is there any Lua 5.4 Decompiler?

The thread title is self-explanatory, I'm looking for a Lua decompiler that supports the 5.4.x version.

Thanks.
Reply With Quote
  #2  
Old 10-04-2021, 16:51
DARKER DARKER is offline
VIP
 
Join Date: Jul 2004
Location: Côte d'Ivoire
Posts: 340
Rept. Given: 13
Rept. Rcvd 96 Times in 40 Posts
Thanks Given: 5
Thanks Rcvd at 296 Times in 103 Posts
DARKER Reputation: 96
Dis you try this?
Code:
https://sourceforge.net/projects/unluac/
unluac is a decompiler for Lua 5.0 through 5.4. The current version also has pretty good support for Lua 5.0 and Lua 5.1. Support for later versions is also good if the code doesn't use too many gotos.
Reply With Quote
The Following 2 Users Say Thank You to DARKER For This Useful Post:
SMH17 (10-04-2021), tonyweb (10-22-2021)
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



All times are GMT +8. The time now is 13:30.


Always Your Best Friend: Aaron, JMI, ahmadmansoor, ZeNiX
( 1998 - 2021 )